<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__trng__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_trng_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__trng__t_1acf8a5871571c60e989496cefe80df53f" kind="variable" mutable="no" prot="public" static="no">
        <type>CRYPTO_Type *</type>
        <definition>CRYPTO_Type* cyhal_trng_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="563" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="563" />
      </memberdef>
      <memberdef id="structcyhal__trng__t_1adff657185b0e7645d799377dedc5eaf6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_trng_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="564" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="564" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>RNG object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="166">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="165">
        <label>cyhal_trng_t</label>
        <link refid="structcyhal__trng__t" />
        <childnode refid="166" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="568" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="561" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="561" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__trng__t_1acf8a5871571c60e989496cefe80df53f" virt="non-virtual"><scope>cyhal_trng_t</scope><name>base</name></member>
      <member prot="public" refid="structcyhal__trng__t_1adff657185b0e7645d799377dedc5eaf6" virt="non-virtual"><scope>cyhal_trng_t</scope><name>resource</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>